public class FrameworkEndpointHandlerMapping
extends org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping
| Constructor and Description |
|---|
FrameworkEndpointHandlerMapping() |
| Modifier and Type | Method and Description |
|---|---|
protected org.springframework.web.servlet.mvc.method.RequestMappingInfo |
getMappingForMethod(Method method,
Class<?> handlerType) |
String |
getPath(String defaultPath) |
Set<String> |
getPaths() |
String |
getServletPath(String defaultPath) |
protected boolean |
isHandler(Class<?> beanType)
Detects @FrameworkEndpoint annotations in handler beans.
|
void |
setApprovalParameter(String approvalParameter)
The name of the request parameter that distinguishes a call to approve an authorization.
|
void |
setMappings(Map<String,String> patternMap)
Custom mappings for framework endpoint paths.
|
void |
setPrefix(String prefix) |
afterPropertiesSet, createRequestMappingInfo, getContentNegotiationManager, getCustomMethodCondition, getCustomTypeCondition, getFileExtensions, resolveEmbeddedValuesInPatterns, setContentNegotiationManager, setEmbeddedValueResolver, setUseRegisteredSuffixPatternMatch, setUseSuffixPatternMatch, setUseTrailingSlashMatch, useRegisteredSuffixPatternMatch, useSuffixPatternMatch, useTrailingSlashMatchgetMappingComparator, getMappingPathPatterns, getMatchingMapping, handleMatch, handleNoMatchcreateHandlerMethod, detectHandlerMethods, getHandlerInternal, getHandlerMethods, handlerMethodsInitialized, initHandlerMethods, lookupHandlerMethod, registerHandlerMethod, setDetectHandlerMethodsInAncestorContextsadaptInterceptor, detectMappedInterceptors, extendInterceptors, getAdaptedInterceptors, getDefaultHandler, getHandler, getHandlerExecutionChain, getMappedInterceptors, getOrder, getPathMatcher, getUrlPathHelper, initApplicationContext, initInterceptors, setAlwaysUseFullPath, setDefaultHandler, setInterceptors, setOrder, setPathMatcher, setRemoveSemicolonContent, setUrlDecode, setUrlPathHelpergetServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContextpublic void setPrefix(String prefix)
prefix - the prefix to setpublic void setMappings(Map<String,String> patternMap)
patternMap - the mappings to setpublic String getServletPath(String defaultPath)
public String getPath(String defaultPath)
public void setApprovalParameter(String approvalParameter)
OAuth2Utils.USER_OAUTH_APPROVAL.approvalParameter - the approvalParameter to setprotected boolean isHandler(Class<?> beanType)
isHandler in class org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMappingRequestMappingHandlerMapping.isHandler(java.lang.Class)Copyright © 2018. All rights reserved.